name: Pure Shell Test

on:
  push:
    branches: [main]
  workflow_dispatch:

jobs:
  test:
    runs-on: ubuntu
    steps:
      - run: echo "Step 1 - Hello from Runner"
      - run: echo "Step 2 - Current dir is $(pwd)"
      - run: echo "Step 3 - User is $(whoami)"
      - run: echo "Step 4 - Time is $(date)"
      - run: |
          echo "Step 5 - System info"
          uname -a
